Bug 91867 - Allow caps lock to be used as menu key
Summary: Allow caps lock to be used as menu key
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium enhancement
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-03 14:34 UTC by Felipe Lessa
Modified: 2016-01-14 01:07 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
adds the «menu» option for capslock (1.77 KB, patch)
2015-11-07 13:09 UTC, Benno Schulenberg
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Felipe Lessa 2015-09-03 14:34:15 UTC
Currently there are many nice behaviors that can be used for the caps lock key.  It would be even better if caps lock could be turned into the menu key.

So, adding something like the following to symbols/capslock:

hidden partial modifier_keys
xkb_symbols "capsmenu" {
    key <CAPS> { [ Menu ] };
};
Comment 1 Felipe Lessa 2015-09-03 16:08:42 UTC
In case anyone is curious about the motivation, I've written a blog post about it. http://blog.felipe.lessa.nom.br/?p=137
Comment 2 Sergey V. Udaltsov 2015-09-09 23:46:28 UTC
Would you be able to provide a patch for symbols/capslock, rules/base.o_s.part and rules/base.xml.in ?

Also, would caps:super and caps:hyper be good enough for you?
Comment 3 Felipe Lessa 2015-09-10 01:27:53 UTC
> Also, would caps:super and caps:hyper be good enough for you?

If by that you mean setting Caps Lock to Super/Hyper, I'm not sure but I don't think so, as I'm trying to use it as a non-modifier key on emacs.
Comment 4 Benno Schulenberg 2015-11-07 13:09:11 UTC
Created attachment 119461 [details] [review]
adds the «menu» option for capslock
Comment 5 Sergey V. Udaltsov 2016-01-14 01:07:01 UTC
Committed to git, thank you!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.